{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "AGT_ADMINISTRATION"; 
            externalType = VARCHAR2; 
            name = agtAdministration; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_ACCIDENT"; 
            externalType = VARCHAR2; 
            name = agtConsAccident; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_AGENTS"; 
            externalType = VARCHAR2; 
            name = agtConsAgents; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_CARRIERE"; 
            externalType = VARCHAR2; 
            name = agtConsCarriere; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_CONGES"; 
            externalType = VARCHAR2; 
            name = agtConsConges; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_CONTRAT"; 
            externalType = VARCHAR2; 
            name = agtConsContrat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_DOSSIER"; 
            externalType = VARCHAR2; 
            name = agtConsDossier; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_EMPLOIS"; 
            externalType = VARCHAR2; 
            name = agtConsEmplois; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_IDENTITE"; 
            externalType = VARCHAR2; 
            name = agtConsIdentite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_OCCUPATION"; 
            externalType = VARCHAR2; 
            name = agtConsOccupation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_CONS_POSTES"; 
            externalType = VARCHAR2; 
            name = agtConsPostes; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_EDITION_FOS"; 
            externalType = VARCHAR2; 
            name = agtEditionFos; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_EDITION_REQUETES"; 
            externalType = VARCHAR2; 
            name = agtEditionRequetes; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_ELECTION"; 
            externalType = VARCHAR2; 
            name = agtElection; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_INFOS_PERSO"; 
            externalType = VARCHAR2; 
            name = agtInfosPerso; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "AGT_NOMENCLATURES"; 
            externalType = VARCHAR2; 
            name = agtNomenclatures; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_OUTILS"; 
            externalType = VARCHAR2; 
            name = agtOutils; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_PRIME"; 
            externalType = VARCHAR2; 
            name = agtPrime; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_PROMOUVABLE"; 
            externalType = VARCHAR2; 
            name = agtPromouvable; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_TOUT"; 
            externalType = VARCHAR2; 
            name = agtTout; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_TYPE_POPULATION"; 
            externalType = VARCHAR2; 
            name = agtTypePopulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_ACCIDENT"; 
            externalType = VARCHAR2; 
            name = agtUpdAccident; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_AGENTS"; 
            externalType = VARCHAR2; 
            name = agtUpdAgents; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_CARRIERE"; 
            externalType = VARCHAR2; 
            name = agtUpdCarriere; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_CONGES"; 
            externalType = VARCHAR2; 
            name = agtUpdConges; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_CONTRAT"; 
            externalType = VARCHAR2; 
            name = agtUpdContrat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_EMPLOIS"; 
            externalType = VARCHAR2; 
            name = agtUpdEmplois; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_IDENTITE"; 
            externalType = VARCHAR2; 
            name = agtUpdIdentite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_OCCUPATION"; 
            externalType = VARCHAR2; 
            name = agtUpdOccupation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_UPD_POSTES"; 
            externalType = VARCHAR2; 
            name = agtUpdPostes; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "CPT_ORDRE"; 
            externalType = NUMBER; 
            name = cptOrdre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        agtAdministration, 
        agtConsAccident, 
        agtConsAgents, 
        agtConsCarriere, 
        agtConsConges, 
        agtConsContrat, 
        agtConsDossier, 
        agtConsEmplois, 
        agtConsIdentite, 
        agtConsOccupation, 
        agtConsPostes, 
        agtEditionFos, 
        agtEditionRequetes, 
        agtElection, 
        agtInfosPerso, 
        agtOutils, 
        agtPrime, 
        agtPromouvable, 
        agtTout, 
        agtTypePopulation, 
        agtUpdAccident, 
        agtUpdAgents, 
        agtUpdCarriere, 
        agtUpdConges, 
        agtUpdContrat, 
        agtUpdEmplois, 
        agtUpdIdentite, 
        agtUpdOccupation, 
        agtUpdPostes, 
        cptOrdre, 
        noIndividu
    ); 
    className = "org.cocktail.fwkcktlgrh.common.metier.EOAgentPersonnel"; 
    classProperties = (
        agtAdministration, 
        agtConsAccident, 
        agtConsAgents, 
        agtConsCarriere, 
        agtConsConges, 
        agtConsContrat, 
        agtConsDossier, 
        agtConsEmplois, 
        agtConsIdentite, 
        agtConsOccupation, 
        agtConsPostes, 
        agtEditionFos, 
        agtEditionRequetes, 
        agtElection, 
        agtInfosPerso, 
        agtNomenclatures, 
        agtOutils, 
        agtPrime, 
        agtPromouvable, 
        agtTout, 
        agtTypePopulation, 
        agtUpdAccident, 
        agtUpdAgents, 
        agtUpdCarriere, 
        agtUpdConges, 
        agtUpdContrat, 
        agtUpdEmplois, 
        agtUpdIdentite, 
        agtUpdOccupation, 
        agtUpdPostes, 
        cptOrdre, 
        dCreation, 
        dModification, 
        toAgentsDroitsServices, 
        toCompte, 
        toIndividu
    ); 
    externalName = "MANGUE.AGENT_PERSONNEL"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            agtAdministration, 
            agtConsAccident, 
            agtConsAgents, 
            agtConsCarriere, 
            agtConsConges, 
            agtConsContrat, 
            agtConsDossier, 
            agtConsEmplois, 
            agtConsIdentite, 
            agtConsOccupation, 
            agtConsPostes, 
            agtEditionFos, 
            agtEditionRequetes, 
            agtElection, 
            agtInfosPerso, 
            agtOutils, 
            agtPrime, 
            agtPromouvable, 
            agtTout, 
            agtTypePopulation, 
            agtUpdAccident, 
            agtUpdAgents, 
            agtUpdCarriere, 
            agtUpdConges, 
            agtUpdContrat, 
            agtUpdEmplois, 
            agtUpdIdentite, 
            agtUpdOccupation, 
            agtUpdPostes, 
            cptOrdre
        ); 
    }; 
    name = "Fwkgrh_AgentPersonnel"; 
    primaryKeyAttributes = (cptOrdre); 
    relationships = (
        {
            destination = "Fwkgrh_AgentsDroitsServices"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toAgentsDroitsServices; 
        }, 
        {
            destination = "Fwkpers_Compte"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cptOrdre; sourceAttribute = cptOrdre; }); 
            name = toCompte; 
        }, 
        {
            destination = "Fwkpers_Individu"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toIndividu; 
        }
    ); 
}
